<?php
include '../../INCLUDE/MySQL_include_param_dbb.php';
include '../../INCLUDE/MySQL_include_sprog_commun_shell.php';
try {
 // === connexion de la base de données ===
 $bdd = new PDO($TYPE_DBB.":host=".$SERVEUR.";dbname=".$BASEDD,$LOGIN_ADM,$MDP_ADM,
        array(PDO::ATTR_PERSISTENT => true));
 // --- définition du codage en UTF8 ---
 $bdd->exec("SET CHARACTER SET utf8");
 // --- Saisie du nom ---
 echo "Entrez le nom à rechercher : ";
 $NomInit=fgets(STDIN);
 // --- Prétraitement du nom ---
 $NomInit=trim($NomInit);
 echo "NomInit = $NomInit".PHP_EOL;
 // --- Sécurisation de la chaîne saisie ---
 $NomQuote=$bdd->quote($NomInit);
 echo "NomQuote = $NomQuote".PHP_EOL;
 // --- exécution de la requête ---
 $reponse = $bdd->query('SELECT * FROM personnes WHERE Nom='.$NomQuote);
 // --- traitement des erreurs de retour sur la requête ---
 if (!$reponse)
     throw new Exception('Problème de requête sur la table.');
 // ---retourne un tableau associatif ---
 $reponse->setFetchMode(PDO::FETCH_ASSOC); 
 // --- boucle de traitement de chaque personne --- 
 $tab_personnes=$reponse->fetchAll();
 // --- affichage des données retournées ---
 affichage_liste_personnes("Liste des personnes",$tab_personnes);
 // --- fermeture de la requête ---
 // --- pour permettre d'autres requêtes ---
 $reponse->closeCursor();
 // === fermeture de la connexion à la base de données ===
 $bdd = NULL;
}
catch(Exception $e) {
 echo 'Erreur : '.$e->getMessage();
}
?>





